<?php
/*
		[FuShow.cn] (C) 2013-2014 HXWY Inc.
		FuShow Friend V3.0				Id: walk.php
		Email <service@fushow.cn>		http://fushow.cn/
*/

include_once('./common.php');

//获取方法
$ac = empty($_GET['ac'])?'':$_GET['ac'];

//自定义登录
if($ac == $_SCONFIG['login_action']) {
	$ac = 'login';
} elseif($ac == 'login') {
	$ac = '';
}
if($ac == $_SCONFIG['register_action']) {
	$ac = 'register';
} elseif($ac == 'register') {
	$ac = '';
}
$sql =" 'SELECT * FROM `".tname('space')."` AS `space` LEFT JOIN `".tname('spacefield')."` AS `spacefield` on `space`.`uid`=`spacefield`.`uid` WHERE `spacefield`.`sex`=\'2\' ORDER BY RAND()'"; 
//允许的方法
$acs = array('login', 'register', 'lostpasswd', 'swfupload', 'inputpwd',
	'ajax', 'seccode', 'sendmail', 'stat', 'emailcheck');
if(empty($ac) || !in_array($ac, $acs)) {
	showmessage('enter_the_space', 'index.php', 0);
}

//链接
$theurl = 'walk.php?ac='.$ac;

include_once(S_ROOT.'./source/walk_'.$ac.'.php');

?>